import { isTemplateLiteral } from "@babel/types";
export default function () {
    return {
        visitor: {
            TemplateLiteral: function (path) {
                if (isTemplateLiteral(path.node)) {
                    var leadingComments = path.node.leadingComments;
                    if (leadingComments) {
                        var isCSS = leadingComments[leadingComments.length - 1].value
                            .trim()
                            .toLowerCase() === "css";
                        if (isCSS) {
                            var names = path.node.quasis.flatMap(function (_a) {
                                var value = _a.value;
                                return value.raw.match(/[.#][A-Za-z_-][A-Za-z0-9_-]*/g) || [];
                            });
                            path.replaceWithSourceString("\"/*extracted*/ ".concat(names.join(" "), "\""));
                        }
                    }
                }
            },
        },
    };
}
